Qt 5.11 | Qt 3D | C++ Classes | QAnimationClip

Qt 5.11.3 Reference Documentation

# QAnimationClip Class

(Qt3DAnimation::QAnimationClip)

Specifies key frame animation data. More...

Header: | #include <QAnimationClip>
qmake: | QT += 3danimation
Inherits: | Qt3DAnimation::QAbstractAnimationClip

- List of all members, including inherited members

## Properties

- clipData : Qt3DAnimation::QAnimationClipData

- 1 property inherited from Qt3DAnimation::QAbstractAnimationClip
- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QAnimationClip(Qt3DCore::QNode *parent = nullptr)
virtual | ~QAnimationClip()
Qt3DAnimation::QAnimationClipData | clipData() const

- 1 public function inherited from Qt3DAnimation::QAbstractAnimationClip
- 13 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setClipData(const Qt3DAnimation::QAnimationClipData &clipData)

- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | clipDataChanged(Qt3DAnimation::QAnimationClipData clipData)

- 1 signal inherited from Qt3DAnimation::QAbstractAnimationClip
- 4 signals inherited from Qt3DCore::QNode

## Protected Functions

| QAnimationClip(Qt3DAnimation::QAnimationClipPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Specifies key frame animation data.

## Property Documentation

### clipData : Qt3DAnimation::QAnimationClipData

Access functions:

Qt3DAnimation::QAnimationClipData | clipData() const
void | setClipData(const Qt3DAnimation::QAnimationClipData &clipData)

Notifier signal:

void | clipDataChanged(Qt3DAnimation::QAnimationClipData clipData)

## Member Function Documentation

### QAnimationClip::QAnimationClip(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QAnimationClip.

### `[protected]` QAnimationClip::QAnimationClip(Qt3DAnimation::QAnimationClipPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QAnimationClip.

### `[virtual]` QAnimationClip::~QAnimationClip()

Destroys the instance of QAnimationClip. The destructor is virtual.

### Qt3DAnimation::QAnimationClipData QAnimationClip::clipData() const

Returns the data describing the animation clip.

Note: Getter function for property clipData.

See also setClipData().

### `[slot]` void QAnimationClip::setClipData(const Qt3DAnimation::QAnimationClipData &clipData)

Set the parameters of the clip according to the clipData provided.

Note: Setter function for property clipData.

See also clipData().